Platform

Health check and client bootstrap configuration.

dev · https://api.dev.relay.oprag.ai

All 2 endpoints on this page use org-secret or public auth — see the CLI ingest reference.

GET /health

Liveness probe for the Relay API.

Auth Public — no credential

Path parameters

None.

Query parameters

None.This endpoint does not read query parameters.

Body parameters

None.This endpoint does not read a request body.

Response

200 Success

JSON
{
  "status": "ok",
  "version": "0.1.0",
  "service": "relay-api"
}

Status codes

Status Meaning
200 Success.
429 Rate limited. See rate limits.
503 Service unavailable.

curl

Shell
curl -X GET 'https://api.dev.relay.oprag.ai/health' \
  -H 'Authorization: Bearer sk_live_...'
GET /config

Cognito pool/client IDs and API URL for the Architect SPA bootstrap.

Auth Public — no credential

Path parameters

None.

Query parameters

None.This endpoint does not read query parameters.

Body parameters

None.This endpoint does not read a request body.

Response

200 Success

JSON
{
  "cognitoUserPoolId": "us-east-1_example",
  "cognitoClientId": "exampleclientid",
  "apiUrl": "https://api.dev.relay.oprag.ai",
  "cognitoRegion": "us-east-1",
  "cognitoDomain": "ashutech-dev-relay"
}

Status codes

Status Meaning
200 Success.
429 Rate limited. See rate limits.
503 Service unavailable.

curl

Shell
curl -X GET 'https://api.dev.relay.oprag.ai/config' \
  -H 'Authorization: Bearer sk_live_...'

Ready to ship?

Get started free